Subject: Re: bug#15876: 24.3.50; Highly degraded performance between rev 114715 and 115006

From: Dmitry Antipov <[email-masked]>
Date: Wed, 11 Dec 2013 13:24:38 +0400

On 12/11/2013 11:16 AM, Jarek Czekalski wrote:

> It would be nice if the results of the "best match" calls were remembered.

Sure. But currently font cache remembers not the "best match" X but
the vector [X0 X1 ... Xn] which was used to select X for the last time.
Under some circumstances (in particular, when a lot of fonts are loaded),
font cache tends to grow too much (see
http://lists.gnu.org/archive/html/emacs-devel/2013-10/msg00740.html).

> Assuming that the fonts don't change during Emacs run time.

This assumption is wrong. Although explicit font change is rarely done by the
most of users, new fonts may be loaded quite often - to display an "unusual"
character which has no glyph in current font, to display something under
M-x customize, etc.

Dmitry